VerboseConfig (Oracle - Berkeley DB Java API)
Date: 2010-04-12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class VerboseConfig

    java.lang.Object
      com.sleepycat.db.VerboseConfig

    public final class VerboseConfig

extends Object

Specifies the attributes of a verification operation.

Field Summary
`static VerboseConfig` | `DEADLOCK` Display additional information when doing deadlock detection.
`static VerboseConfig` | `FILEOPS` Display additional information when performing filesystem operations such as open, close or rename.
`static VerboseConfig` | `FILEOPS_ALL` Display additional information when performing all filesystem operations, including read and write.
`static VerboseConfig` | `RECOVERY` Display additional information when performing recovery.
`static VerboseConfig` | `REGISTER` Display additional information concerning support for `EnvironmentConfig.setRegister(boolean)`.
`static VerboseConfig` | `REPLICATION` Display all detailed information about replication.
`static VerboseConfig` | `REPLICATION_ELECTION` Display detailed information about replication elections.
`static VerboseConfig` | `REPLICATION_LEASE` Display detailed information about replication master leases.
`static VerboseConfig` | `REPLICATION_MISC` Display detailed information about general replication processing not covered by the other REPLICATION_* values.
`static VerboseConfig` | `REPLICATION_MSGS` Display detailed information about replication message processing.
`static VerboseConfig` | `REPLICATION_SYNC` Display detailed information about replication client synchronization.
`static VerboseConfig` | `REPLICATION_TEST` Display temporary replication test information.
`static VerboseConfig` | `REPMGR_CONNFAIL` Display detailed information about Replication Manager connection failures.
`static VerboseConfig` | `REPMGR_MISC` Display detailed information about genereal Replication Manager processing.
`static VerboseConfig` | `WAITSFOR` Display the waits-for table when doing deadlock detection.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEADLOCK

    public static final VerboseConfig DEADLOCK

  Display additional information when doing deadlock detection.

### FILEOPS

    public static final VerboseConfig FILEOPS

  Display additional information when performing filesystem operations such as open, close or rename. May not be available on all platforms.

### FILEOPS_ALL

    public static final VerboseConfig FILEOPS_ALL

  Display additional information when performing all filesystem operations, including read and write. May not be available on all platforms.

### RECOVERY

    public static final VerboseConfig RECOVERY

  Display additional information when performing recovery.

### REGISTER

    public static final VerboseConfig REGISTER

  Display additional information concerning support for `EnvironmentConfig.setRegister(boolean)`.

### REPLICATION

    public static final VerboseConfig REPLICATION

  Display all detailed information about replication. This includes the information displayed by all of the other REPLICATION_* and REPMGR_* values.

### REPMGR_CONNFAIL

    public static final VerboseConfig REPMGR_CONNFAIL

  Display detailed information about Replication Manager connection failures.

### REPMGR_MISC

    public static final VerboseConfig REPMGR_MISC

  Display detailed information about genereal Replication Manager processing.

### REPLICATION_ELECTION

    public static final VerboseConfig REPLICATION_ELECTION

  Display detailed information about replication elections.

### REPLICATION_LEASE

    public static final VerboseConfig REPLICATION_LEASE

  Display detailed information about replication master leases.

### REPLICATION_MISC

    public static final VerboseConfig REPLICATION_MISC

  Display detailed information about general replication processing not covered by the other REPLICATION_* values.

### REPLICATION_MSGS

    public static final VerboseConfig REPLICATION_MSGS

  Display detailed information about replication message processing.

### REPLICATION_SYNC

    public static final VerboseConfig REPLICATION_SYNC

  Display detailed information about replication client synchronization.

### REPLICATION_TEST

    public static final VerboseConfig REPLICATION_TEST

  Display temporary replication test information.

### WAITSFOR

    public static final VerboseConfig WAITSFOR

  Display the waits-for table when doing deadlock detection.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.8.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2009 Oracle. All rights reserved.